#include <ClanLib/Core/System/setupcore.h>
#include <ClanLib/Display/setupdisplay.h>
#include <ClanLib/Sound/setupsound.h>
#include <ClanLib/MikMod/setupmikmod.h>

#include <ClanLib/Core/Resources/datafile_compiler.h>
#include <ClanLib/Core/System/error.h>
#include <iostream>

int main(int argc, const char *argv[])
{
    using namespace std;

    if (argc != 3)
    {
        cout << "Wrong number of parameters." << endl;
        return 1;
    }

    try {
        CL_SetupCore::init(true);
        CL_SetupDisplay::init(true);
        CL_SetupSound::init(true);
        CL_SetupMikMod::init(true);
        
        CL_DatafileCompiler::write(argv[1], argv[2]);

        CL_SetupMikMod::deinit();
        CL_SetupSound::deinit();
        CL_SetupDisplay::deinit();
        CL_SetupCore::deinit();
    } catch (const CL_Error &e)
    {
        cout << "EXCEPTION: " << e.message << endl;
        return 1;
    }

    return 0;
}
